Bug 219314 (kf5-5.34.0) - Update KDE Frameworks to 5.34
Summary: Update KDE Frameworks to 5.34
Status: Closed FIXED
Alias: kf5-5.34.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D10747
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-15 19:15 UTC by Tobias C. Berner
Modified: 2017-05-20 10:26 UTC (History)
1 user (show)

See Also:


Attachments
Update to 5.34.0 (108.61 KB, patch)
2017-05-15 19:15 UTC, Tobias C. Berner
no flags Details | Diff
Update to 5.34.0 v2 (117.11 KB, patch)
2017-05-18 13:53 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2017-05-15 19:15:21 UTC
Created attachment 182614 [details]
Update to 5.34.0

kde@ would like to ask for an exp-run of the KDE Frameworks for 5.34.

The patch is attached, and can also be found here: http://people.freebsd.org/~tcberner/patches/kf5-5.34.0.diff
Comment 1 Antoine Brodin freebsd_committer 2017-05-18 13:29:23 UTC
There is 1 new failure on 10.3 : devel/kf5-kauth

Error log:

http://package23.nyi.freebsd.org/data/103i386-default-PR219314/2017-05-18_06h06m58s/logs/kf5-kauth-5.34.0.log

34 ports were skipped due to this failure
Comment 2 Tobias C. Berner freebsd_committer 2017-05-18 13:53:11 UTC
Created attachment 182697 [details]
Update to 5.34.0 v2

Argh, I forgot to drop the CVE patch.

New diff:
http://people.freebsd.org/~tcberner/patches/kf5-5.34.v2.diff
Comment 3 Antoine Brodin freebsd_committer 2017-05-20 05:42:59 UTC
Exp-run looks fine.
Comment 4 commit-hook freebsd_committer 2017-05-20 10:25:36 UTC
A commit references this bug:

Author: tcberner
Date: Sat May 20 10:24:42 UTC 2017
New revision: 441306
URL: https://svnweb.freebsd.org/changeset/ports/441306

Log:
  Update KDE Frameworks to 5.34.0

  PR:		219314
  Reviewed by:	rakuco
  Exp-run by:	antoine
  Approved by:	rakuco (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D10747

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/files/patch-git_fea5950
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kapidox/pkg-plist
  head/devel/kf5-kauth/Makefile
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kauth/files/
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kdoctools/pkg-plist
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-kfilemetadata/pkg-plist
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-ki18n/pkg-plist
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kpackage/pkg-plist
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-kservice/pkg-plist
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-ktexteditor/pkg-plist
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/distinfo
  head/lang/kf5-kross/pkg-plist
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/Makefile
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-baloo/files/patch-git_eea7d8e
  head/sysutils/kf5-baloo/pkg-plist
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-syntax-highlighting/distinfo
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjs/pkg-plist
  head/www/kf5-kjsembed/distinfo
  head/www/kf5-kjsembed/pkg-plist
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-frameworks/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kded/pkg-plist
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kdelibs4support/pkg-plist
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-kinit/pkg-plist
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11/kf5-plasma-framework/pkg-plist
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-themes/kf5-oxygen-icons5/pkg-plist
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/pkg-plist
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/pkg-plist
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kxmlgui/distinfo
Comment 5 Tobias C. Berner freebsd_committer 2017-05-20 10:26:00 UTC
Thanks for the exp-run.